Jump to content

How To Change Java Version? (Launcher)


Recommended Posts

I have came into a bit of a problem. I'm not going to go into full detail, if you want that, look here: http://forums.technicpack.net/tracker/issue-3339-technic-closes-and-re-opens-on-pressing-launch/

 

I think I have figured out how to fix my problem though. I can run Minecraft (Vanilla exe) on a 64 bit Java.. kind of. I can only run version that I have previously played on 64 bit. If I want to play a different version, I need to use 32 bit java or else it will crash before I even get the Mojang screen up.

 

Now, uninstalling 64 bit java is not an option. Don't even suggest that. Also, please don't tell me to install a different version, Java 6/7/8 all don't work for 64 bit. I have done absolutely everything in my power to get this to work all to no avail, the only way to do this is most likely to change what version of java that Technic launches on WITHOUT uninstalling 64-bit Java. And the most important thing, yes, I am using a 64 bit system with 7Gb of RAM.

 

This all started after upgrading to Java 7 64-bit. 

Edited by Iored94
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Similar Content

    • By bumblebray1
      When i try to load a pack a white bar pops up saying "You've selected Java 11.0.9.1, which is know to have issues with Minecraft, are you sure you want to contiune?" and when i click yes, technic closes then opens again. I understand that i need to install a different version of java but when i go into the settings for the java version on technic it opens a file, am i supposes to put the new java version there? It should be noted that im playing with linux on a chromebook. 
    • By Morthlog
      In order to allocate more than 1 gb of ram (cause the game kept crashing) i wanted to change to a 64bit- version. The only one available was 1.14 which was saying it is known for causing problems. I tried to lauch pixelmon reforged with it but i just wouldn't open. I tried to find a version (preferably 1.8) in .minecraft folder to get the version, but i could not find the javaw file it needed. Below is a picture with my version option. So what i need is either a guide or a link to get the needed file to get the 64-bit version of 1.8 to 1.12. Anything in between works for me
       
      Edit: The problem has been solved. This thread may be closed by the moderators

    • By Conex_0
      I'm tired and frustrated with this launcher. First it wouldn't even launch properly and I had to fix that, then it won't even detect 64 bit. I litteraly reinstalled the launcher and java multiple times, I even installed java online and offline, offline first, then when the launcher was open java online, and selected java online, and it still said it already had that in the launcher settings, still 32-bit. I just want to play a modpack with my friends on their server.
    • By Superskillz69
      I've played tekkit for a couple thousand hours now and never once encountered the battle I'm going through now. I haven't played in about 6 months or so.
      Some things to note:
      - I have both java 32 bit and 64 bit  runtime environments and I have experimented with a variety of different versions (many recommended on this forum)
      -I have 16Gb of RAM, a dedicated GPU and my nVidia driver is up to date. I have also rolled back to previous versions and encountered the same issues.
      -With any 64 bit java installed on the PC, Technic Launcher will not launch.
      -When I uninstall 64 bit java, launcher starts (in 32 bit) but obviously ram cannot be changed etc... However whilst running, I can install 64 bit java and then change ram settings.
      -Packs will download in this case however will not launch even when RAM is set below 6GB. I get a little java pop-up window saying "Hello".
      -https://paste.ubuntu.com/p/5MGrYNsP44/
       
      Please please please provide any assistance as I'm not ready to give up just yet!
    • By NanoByte
      I can't allocate more than 1 GB of RAM to my technic launcer, and before you comment you need to know that I have a 64bit Win10 and 64 bit Java 8 latest version. I also have plenty of memory available (16 more precise) and a pretty nice pc, my only problem is that I can't load any pack because of the Ram restriction 
×
×
  • Create New...